cp $(srcdir)/debian/control $(distdir)/debian
cp $(srcdir)/debian/changelog $(distdir)/debian
cp $(srcdir)/debian/rules $(distdir)/debian
- cp $(srcdir)/debian/postinst $(distdir)/debian
- cp $(srcdir)/debian/compat $(distdir)/debian
+ cp $(srcdir)/debian/*.postinst $(distdir)/debian
cp $(srcdir)/debian/*.install $(distdir)/debian
yazpp (1.0.0-1) unstable; urgency=low
- * Upstream.
+ * Upstream
+ * Renaming from package name yaz++ to yazpp
- -- Adam Dickmeiss <adam@indexdata.dk> Mon, 27 Mar 2006 16:50:06 +0200
+ -- Marc Cromme <marc@indexdata.dk> Mon, 24 Apr 2006 09:55:07 +0200
Source: yazpp
+Section: devel
Priority: optional
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
-Standards-Version: 3.6.0
+Standards-Version: 3.6.2
Build-Depends: debhelper (>= 4.0.0), docbook-utils, docbook, docbook-xml, docbook-dsssl, jade, jadetex, libxml2-dev, libyaz-dev (>= 2.1.14)
Package: libyazpp1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libyaz (>= 2.1.14)
-Description: YAZ++ and ZOOM library.
+Description: YAZ++ and ZOOM library
YAZ++ is a C++ library with an object oriented interface to YAZ and ZOOM.
-Package: libyazpp1-dev
+Package: libyazpp-dev
Section: devel
Architecture: any
-Depends: libyazpp (= ${Source-Version}), libyaz-dev
-Conflicts: libyaz++-dev
-Description: Development libraries for YAZ++ and ZOOM.
+Depends: libyazpp1 (= ${Source-Version}), libyaz-dev
+Description: Development libraries for YAZ++ and ZOOM
YAZ++ is a C++ library with an object oriented interface to YAZ and ZOOM.
-Package: yazpp1-doc
+Package: yazpp-doc
Section: doc
Architecture: all
-Conflicts: yaz++-doc
-Description: Documentation for YAZ++.
+Description: Documentation for YAZ++
YAZ++ is a C++ library with an object oriented interface to YAZ and ZOOM.
--- /dev/null
+debian/tmp/usr/include/yazpp/*.h
+debian/tmp/usr/lib/libyazpp*.a
+debian/tmp/usr/lib/libzoompp*.a
+debian/tmp/usr/lib/libyazpp.so
+debian/tmp/usr/lib/libzoompp.so
+debian/tmp/usr/lib/libyazpp.la
+debian/tmp/usr/lib/libzoompp.la
+debian/tmp/usr/bin/yazpp-config
+debian/tmp/usr/share/aclocal/yazpp.m4
+debian/tmp/usr/share/man/man8/yazpp-config.8
\ No newline at end of file
+++ /dev/null
-debian/tmp/usr/include/yazpp/*.h
-debian/tmp/usr/lib/libyazpp*.a
-debian/tmp/usr/lib/libzoompp*.a
-debian/tmp/usr/lib/libyazpp.so
-debian/tmp/usr/lib/libzoompp.so
-debian/tmp/usr/lib/libyazpp.la
-debian/tmp/usr/lib/libzoompp.la
-debian/tmp/usr/bin/yazpp-config
-debian/tmp/usr/share/aclocal/yazpp.m4
--- /dev/null
+#! /bin/sh
+# postinst script for tklite
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+# quoting from the policy:
+# Any necessary prompting should almost always be confined to the
+# post-installation script, and should be protected with a conditional
+# so that unnecessary prompting doesn't happen if a package's
+# installation fails and the `postinst' is called with `abort-upgrade',
+# `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+ configure)
+ ldconfig
+ exit 0
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ exit 0
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+++ /dev/null
-#!/bin/bash
-# Postinst script for yaz++
-ldconfig
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
+# Force compat level four
+export DH_COMPAT=4
# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
endif
# shared library versions, option 1
-version=2.0.5
-major=2
+version=1.0.0
+major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
dh_installchangelogs NEWS
dh_installdocs
dh_installexamples
- mv debian/tmp/usr/share/doc/yazpp debian/tmp/usr/share/doc/yazpp1-doc
+ mv debian/tmp/usr/share/doc/yazpp debian/tmp/usr/share/doc/yazpp-doc
dh_install
# dh_installmenu
# dh_installdebconf
--- /dev/null
+debian/tmp/usr/share/doc/yazpp-doc
+++ /dev/null
-debian/tmp/usr/share/doc/yazpp1-doc